<?php
// Copyright 1999-2021. Plesk International GmbH. All rights reserved.
?>
<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {
    new Jsw.Panel({
        renderTo: '<?php echo $this->form->getId() ?>',
        renderMode: 'top',
        cls: 'tools-list-box',
        items: [{
            componentType: 'Jsw.ListContainer',
            cls: 'tools-list',
            itemClass: 'tools-item',
            items: [
            <?php if($this->changeVersion): ?>
            {
                id: 'changeVersion',
                componentType: 'Smb.ToolButton',
                icon: '<?php echo $this->skinUrl('/icons/32/plesk/preferences.png') ?>',
                title: <?php echo $this->jsLmsg('changeVersion') ?>,
                comment: <?php echo $this->jsLmsg('changeVersionHint') ?>,
                href: '/asp-dot-net/change-version/id/<?php echo $this->domId ?>'
            },
            <?php endif; ?>
            {
                id: 'restoreDefault',
                componentType: 'Smb.ToolButton',
                icon: '<?php echo $this->skinUrl('/icons/32/plesk/log-rotation.png') ?>',
                title: <?php echo $this->jsLmsg('restoreDefault') ?>,
                comment: <?php echo $this->jsLmsg('restoreDefaultHint') ?>,
                handler: function() {
                    Jsw.messageBox.show({
                        type: Jsw.messageBox.TYPE_YESNO,
                        buttonTitles: {
                            yes: <?php echo $this->jsLmsg('confirmationButtonYes') ?>,
                            no: <?php echo $this->jsLmsg('confirmationButtonNo') ?>
                        },
                        text: <?php echo $this->jsLmsg('restoreDefaultConfirmation') ?>,
                        onYesClick: function() { Jsw.redirectPost('/asp-dot-net/restore-default/id/<?php echo $this->domId ?>'); }
                    });
                }
            }]
        }]
    });
});
//]]>
</script>
<?php echo $this->form; ?>
